Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class AbstractOutboundMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder

Direct Known Subclasses:
  AbstractClientMessageProcessorBuilder, LocalClientMessageProcessorBuilder, ProxyClientMessageProcessorBuilder, WsdlClientMessageProcessorBuilder

    public abstract class AbstractOutboundMessageProcessorBuilder

extends Object
implements MessageProcessorBuilder, MuleContextAware

Field Summary
`protected String` | `address`
`protected org.apache.cxf.endpoint.Client` | `client`
`protected CxfConfiguration` | `configuration`
`protected org.apache.cxf.databinding.DataBinding` | `databinding`
`protected String` | `decoupledEndpoint`
`protected Method` | `defaultMethod`
`protected String` | `defaultMethodName`
`protected boolean` | `enableMuleSoapHeaders`
`protected List<org.apache.cxf.feature.AbstractFeature>` | `features`
`protected List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `inFaultInterceptors`
`protected List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `inInterceptors`
`protected boolean` | `mtomEnabled`
`protected MuleContext` | `muleContext`
`protected String` | `operation`
`protected List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `outFaultInterceptors`
`protected List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `outInterceptors`
`protected CxfPayloadToArguments` | `payloadToArguments`
`protected Map<String,Object>` | `properties`
`protected String` | `wsdlLocation`

Constructor Summary
`AbstractOutboundMessageProcessorBuilder()`

Method Summary
`protected void` | `addMuleInterceptors()`
`CxfOutboundMessageProcessor` | `build()`
`protected void` | `configureClient(org.apache.cxf.endpoint.Client client)`
`protected void` | `configureMessageProcessor(CxfOutboundMessageProcessor processor)`
`protected abstract org.apache.cxf.endpoint.Client` | `createClient()`
`protected void` | `createClientFromLocalServer()`
`protected CxfOutboundMessageProcessor` | `createMessageProcessor()`
`protected String` | `getAddress()`
`protected org.apache.cxf.Bus` | `getBus()`
`org.apache.cxf.endpoint.Client` | `getClient()`
`CxfConfiguration` | `getConfiguration()`
`org.apache.cxf.databinding.DataBinding` | `getDatabinding()`
`String` | `getDecoupledEndpoint()`
`List<org.apache.cxf.feature.AbstractFeature>` | `getFeatures()`
`List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `getInFaultInterceptors()`
`List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `getInInterceptors()`
`String` | `getOperation()`
`List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `getOutFaultInterceptors()`
`List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `getOutInterceptors()`
`CxfPayloadToArguments` | `getPayloadToArguments()`
`Map<String,Object>` | `getProperties()`
`String` | `getWsdlLocation()`
`boolean` | `isEnableMuleSoapHeaders()`
`boolean` | `isMtomEnabled()`
`void` | `setAddress(String address)`
`void` | `setConfiguration(CxfConfiguration configuration)`
`void` | `setDatabinding(org.apache.cxf.databinding.DataBinding databinding)`
`void` | `setDecoupledEndpoint(String decoupledEndpoint)`
`void` | `setEnableMuleSoapHeaders(boolean enableMuleSoapHeaders)`
`void` | `setFeatures(List<org.apache.cxf.feature.AbstractFeature> features)`
`void` | `setInFaultInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inFaultInterceptors)`
`void` | `setInInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inInterceptors)`
`void` | `setMtomEnabled(boolean mtomEnabled)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setOperation(String operation)`
`void` | `setOutFaultInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outFaultInterceptors)`
`void` | `setOutInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outInterceptors)`
`void` | `setPayloadToArguments(CxfPayloadToArguments payloadToArguments)`
`void` | `setProperties(Map<String,Object> properties)`
`void` | `setWsdlLocation(String wsdlLocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### client

    protected org.apache.cxf.endpoint.Client client

### defaultMethodName

    protected String defaultMethodName

### defaultMethod

    protected Method defaultMethod

### configuration

    protected CxfConfiguration configuration

### inInterceptors

    protected List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inInterceptors

### inFaultInterceptors

    protected List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inFaultInterceptors

### outInterceptors

    protected List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outInterceptors

### outFaultInterceptors

    protected List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outFaultInterceptors

### databinding

    protected org.apache.cxf.databinding.DataBinding databinding

### features

    protected List<org.apache.cxf.feature.AbstractFeature> features

### wsdlLocation

    protected String wsdlLocation

### mtomEnabled

    protected boolean mtomEnabled

### enableMuleSoapHeaders

    protected boolean enableMuleSoapHeaders

### payloadToArguments

    protected CxfPayloadToArguments payloadToArguments

### properties

    protected Map<String,Object> properties

### muleContext

    protected MuleContext muleContext

### address

    protected String address

### operation

    protected String operation

### decoupledEndpoint

    protected String decoupledEndpoint

Constructor Detail

### AbstractOutboundMessageProcessorBuilder

    public AbstractOutboundMessageProcessorBuilder()

Method Detail

### build

    public CxfOutboundMessageProcessor build()
                                      throws MuleException

  Specified by:
    `build` in interface `MessageProcessorBuilder`
  Throws:
    `MuleException`

### createMessageProcessor

    protected CxfOutboundMessageProcessor createMessageProcessor()

### configureMessageProcessor

    protected void configureMessageProcessor(CxfOutboundMessageProcessor processor)

### configureClient

    protected void configureClient(org.apache.cxf.endpoint.Client client)

### getBus

    protected org.apache.cxf.Bus getBus()

### createClient

    protected abstract org.apache.cxf.endpoint.Client createClient()
                                                            throws CreateException,
                                                                   Exception

  Throws:
    `CreateException`
    `Exception`

### getClient

    public org.apache.cxf.endpoint.Client getClient()

### getAddress

    protected String getAddress()

### setAddress

    public void setAddress(String address)

### createClientFromLocalServer

    protected void createClientFromLocalServer()
                                        throws Exception

  Throws:
    `Exception`

### addMuleInterceptors

    protected void addMuleInterceptors()

### getOperation

    public String getOperation()

### setOperation

    public void setOperation(String operation)

### getDatabinding

    public org.apache.cxf.databinding.DataBinding getDatabinding()

### setDatabinding

    public void setDatabinding(org.apache.cxf.databinding.DataBinding databinding)

### isMtomEnabled

    public boolean isMtomEnabled()

### setMtomEnabled

    public void setMtomEnabled(boolean mtomEnabled)

### getInInterceptors

    public List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> getInInterceptors()

### setInInterceptors

    public void setInInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inInterceptors)

### getInFaultInterceptors

    public List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> getInFaultInterceptors()

### setInFaultInterceptors

    public void setInFaultInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inFaultInterceptors)

### getOutInterceptors

    public List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> getOutInterceptors()

### setOutInterceptors

    public void setOutInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outInterceptors)

### getOutFaultInterceptors

    public List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> getOutFaultInterceptors()

### setOutFaultInterceptors

    public void setOutFaultInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outFaultInterceptors)

### getFeatures

    public List<org.apache.cxf.feature.AbstractFeature> getFeatures()

### setFeatures

    public void setFeatures(List<org.apache.cxf.feature.AbstractFeature> features)

### getWsdlLocation

    public String getWsdlLocation()

### setWsdlLocation

    public void setWsdlLocation(String wsdlLocation)

### getConfiguration

    public CxfConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(CxfConfiguration configuration)

### isEnableMuleSoapHeaders

    public boolean isEnableMuleSoapHeaders()

### setEnableMuleSoapHeaders

    public void setEnableMuleSoapHeaders(boolean enableMuleSoapHeaders)

### getPayloadToArguments

    public CxfPayloadToArguments getPayloadToArguments()

### setPayloadToArguments

    public void setPayloadToArguments(CxfPayloadToArguments payloadToArguments)

### getProperties

    public Map<String,Object> getProperties()

### setProperties

    public void setProperties(Map<String,Object> properties)

### getDecoupledEndpoint

    public String getDecoupledEndpoint()

### setDecoupledEndpoint

    public void setDecoupledEndpoint(String decoupledEndpoint)

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.